[PATCHv2] defaultenv-2: Add bootargs for booting from disk

Teresa Gámez t.gamez at phytec.de
Wed Jul 25 10:42:05 EDT 2012


Add support in defaultenv-2 for booting from disk (SD-Card, USB-Stick).

Signed-off-by: Teresa Gámez <t.gamez at phytec.de>
---
Fixed since v1:
	- spell fix
	- added return value on failure

 defaultenv-2/base/bin/bootargs-root-disk |   26 ++++++++++++++++++++++++++
 1 files changed, 26 insertions(+), 0 deletions(-)
 create mode 100644 defaultenv-2/base/bin/bootargs-root-disk

diff --git a/defaultenv-2/base/bin/bootargs-root-disk b/defaultenv-2/base/bin/bootargs-root-disk
new file mode 100644
index 0000000..df8750e
--- /dev/null
+++ b/defaultenv-2/base/bin/bootargs-root-disk
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+usage="$0 [OPTIONS]\n -p <partition>\n -t <fstype>"
+
+while getopt "p:t:h" opt; do
+	if [ ${opt} = p ]; then
+		part=${OPTARG}
+	elif [ ${opt} = t ]; then
+		fstype=${OPTARG}
+	elif [ ${opt} = h ]; then
+		echo -e "$usage"
+		exit 0
+	fi
+done
+
+if [ -z "${part}" ]; then
+	echo "$0: no partition given"
+	exit 1
+fi
+
+if [ -z "${fstype}" ]; then
+	echo "$0: no filesystem type given"
+	exit 1
+fi
+
+global.linux.bootargs.root="root=/dev/$part rootfstype=$fstype rootwait"
-- 
1.7.0.4




More information about the barebox mailing list